Subject: Re: [bug#61769] [PATCH 0/1] gnu: u-boot-rock64-rk3328: Fix.
From: Leo Famulari <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Feb 2023 15:45:29 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Feb 24, 2023 at 03:05:51PM -0500, Simon South wrote:
> This patch fixes a typo in the package definition for u-boot-rock64-rk3328,
> the default bootloader for ROCK64 computers, that causes the machine to fail
> to boot.
> 
> Inadvertently setting the wrong environment variable means the firmware
> package normally bundled into the bootloader isn't found at build time.  In
> fact the build log[0] notes
> 
>   WARNING: BL31 file bl31.elf NOT found, resulting binary is non-functional
> 
> U-Boot complains about the missing firmware at boot and the system freezes
> when attempting to start the kernel.
> 
> Tested on an actual ROCK64 and the patch appears to work fine.

Thanks for the patch and explanation! Pushed as
df8b8f0c76388239dac9f2892c97b92e92c92901